/*
 * Nokia_5110_GLCD.h
 *
 *  Created on: Nov 15, 2023
 *      Author: hussamaldean
 */

#ifndef NOKIA_5110_GLCD_H_
#define NOKIA_5110_GLCD_H_

#include "stdint.h"
#include "stdbool.h"


/* 84x48 LCD Defines: */
#define LCD_WIDTH   84 // Note: x-coordinates go wide
#define LCD_HEIGHT  48 // Note: y-coordinates go high
#define WHITE       0  // For drawing pixels. A 0 draws white.
#define BLACK       1  // A 1 draws black.


void setLine(int x0, int y0, int x1, int y1, bool bw);
void setRect(int x0, int y0, int x1, int y1, bool fill, bool bw);
void setCircle (int x0, int y0, int radius, bool bw, int lineThickness);
void setStr(char * dString, int x, int y, bool bw);
void SetBitMap(const char * bitArray);
void clearDisplay(bool bw);
void gotoXY(int x, int y);
void updateDisplay();
void setContrast(int contrast);
void invertDisplay();
void lcdBegin(void);

#endif /* NOKIA_5110_GLCD_H_ */
